
import TUIChat from './container/TUIChat';
import TUIConversation from './container/TUIConversation';

const list = [
  TUIConversation,
  TUIChat,
];

/**
 * 组件挂载
 *
 * @param {app} app 挂载到主体
 */
const install = (app: any) => {
  list.forEach((component: any) => {
    component.install(app);
  });
};

/**
 * 组件注册到TUICore
 *
 * @param {TUICore} TUICore 主体TUICore
 */
const plugin = (TUICore: any) => {
  list.forEach((component: any) => {
    component.plugin(TUICore);
  });
};

const TUIComponents = {
  name: 'TUIComponents',
  version: '1.0.0',

  TUIConversation,
  TUIChat,
  install,
  plugin,
};

export default TUIComponents;

export {
  TUIConversation,
  TUIChat,
};
