import Notify from "@wcjiang/notify";
let notify: Notify;

export default function iconNotify(num?: number | string) {
  if (!notify) {
    notify = new Notify({
      effect: "flash",
      interval: 1000,
      updateFavicon: {
        // 可选，默认绿底白字
        textColor: "#fff", // favicon 字体颜色
        backgroundColor: "#FF0000", // 背景颜色
      },
    });
  }
  if (num === 0) {
    notify.faviconClear();
    notify.setTitle();
  } else {
    notify.setFavicon(Number(num) || 0);
    notify.setTitle(`有${num}条新消息！`);
    notify.notify({
      title: "新通知",
      body: `您有${num}条新消息！`,
      openurl: '',
      icon: "https://qcloudimg.tencent-cloud.cn/raw/6bd2cf9fdc898b4e3f483c1bd5aadd0f.svg",
      onclick: function () {
        window.parent.parent.focus();
      },
      onshow: function () {
        console.log("on show");
      },
    });
  }
}

